
// !! DO NOT CHANGE THE ORDER !!
// for valid XK values look in X11/keysym.h
// 0 disables the key
const int KeyToXK[] = {
  0, // KEY_HOME
  0, // KEY_POWEROFF
  XK_F2, // KEY_RED
  XK_F3, // KEY_GREEN
  XK_F4, // KEY_YELLOW
  XK_F5, // KEY_BLUE
  0, // KEY_LiveTV
  XK_r, // KEY_Record
  0, // KEY_Radio
  XK_e, // KEY_SAP
  XK_t, // KEY_Teletext
  XK_h, // KEY_LastCH
  XK_o, // KEY_Subtitle
  XK_plus, // KEY_Language
  XK_i, // KEY_Angle
  XK_Escape, // KEY_Back
  XK_s, // KEY_Info
  XK_m, // KEY_DVDMenu
  XK_F11, // KEY_VolUp
  XK_F10, // KEY_VolDown
  XK_F9, // KEY_VolMute
  XK_Page_Up, // KEY_PageUp
  XK_Page_Down, // KEY_PageDown
  XK_Up, // KEY_Up
  XK_Left, // KEY_Left
  XK_Return, // KEY_Enter
  XK_Right, // KEY_Right
  XK_Down, // KEY_Down
  XK_p, // KEY_Play
  XK_j, // KEY_Rewind
  XK_p, // KEY_Pause
  XK_u, // KEY_Forward
  XK_comma, // KEY_FastRewind
  0, // KEY_Stop
  XK_colon, // KEY_FastForward
  XK_1, // KEY_1
  XK_2, // KEY_2
  XK_3, // KEY_3
  XK_4, // KEY_4
  XK_5, // KEY_5
  XK_6, // KEY_6
  XK_7, // KEY_7
  XK_8, // KEY_8
  XK_9, // KEY_9
  XK_0, // KEY_0
  XK_d, // KEY_Clear
};


#define MICRO_IN_SEC 1000000.00
#define MICRO_IN_MILLI 1000.00
#define KEY_DELAY1 500000.00 / MICRO_IN_MILLI
#define KEY_DELAY2 100000.00 / MICRO_IN_MILLI

